%% LastElemVec1D.m
%% Autor: Julia I.M. Hauser
%% Datum: 01.03.2021
%% Lizenz: CC BY 4.0 International Julia I.M. Hauser. http://creativecommons.org/licenses/by/4.0/
%%
%%Beschreibung: Berechnet den Element-Lastvektor auf dem Intervall (x_i,x_ip1)
% f ...... Funktion der rechten Seite
% x_i .... Anfangspunkt des Teilintervalls
% xip1 ... Endpunkt des Teilintervalls 
% f_E .... Elementvector[2x1]  
function [f_E] = LastElemVec1D(f, x_i,x_ip1)
f_E = zeros(2,1);

f_E(1) = quadcc(@(x) f(x).*phii(0,x,x_i,x_ip1),x_i,x_ip1);
f_E(2) = quadcc(@(x) f(x).*phii(1,x,x_i,x_ip1),x_i,x_ip1);
end
