%% assemblierung.m
%% Autor: Julia I.M. Hauser
%% Datum: 01.03.2021
%% Lizenz: CC BY 4.0 International Julia I.M. Hauser. http://creativecommons.org/licenses/by/4.0/
%%
%% Beschreibung: Assemblierung der globalen Matrix und rechten Seite
%
% f ......... Funktion der rechten Seite
% punkte .... Koordinaten der Stuetzstellen [1 x (n+1)]
% intvals ... Teilintervalle welche aus Anfangs- und Endpunkten bestehen.
%               Sie sind gekennzeichnet durch die Zuordnung zu den globalen
%               Knotennummern [n x 2]
% K_assemb .. Assemblierte Matrix [(n+1) x (n+1)]
% f_assemb .. Assemblierter Lastvektor [(n+1) x 1]
function [f_assemb, K_assemb] = assemblierung(f, punkte, intvals)
n = size(intvals,1);
m_pkt = length(punkte);
K_assemb = sparse(m_pkt,m_pkt);
f_assemb = zeros(m_pkt,1);
  
for i = 1:n
  ind_pkt = intvals(i,:);
  x_i = punkte(ind_pkt(1));
  x_ip1 = punkte(ind_pkt(2));
  %Berechne lokale Einträge
  %%%Oefnne SteifElemMat1D.m und LastElemVec1D.m
  K_E = SteifElemMat1D(x_i,x_ip1);
  f_E = LastElemVec1D(f,x_i,x_ip1);
  %Addiere den lokalen Teil zum globalen
  %%% Ergaenze die folgende Zeile
  K_assemb(ind_pkt,ind_pkt) =
  f_assemb(ind_pkt) = 
end%for

%%%Überprüfe die assemblierte Matrix und rechte Seite durch Vergleich mit der Matrix aus dem Skript firstFEM.m

end