%% phii.m
%% Autor: Julia I.M. Hauser
%% Datum: 01.03.2021
%% Lizenz: CC BY 4.0 International Julia I.M. Hauser. http://creativecommons.org/licenses/by/4.0/
%%
%% Beschreibung: Berechnet die Hutfunktion \phi_i für Variante 1 in interpolation.m 
%%                ausgewertet an den Punkten x.
%
% j ....Identifikator, 0 wenn x\in (x_{i-1},xi), 1 wenn x\in (x_{i},x_{i+1})
% x ....Punkte andenen die Funktion ausgewertet wird
% xim1..Anfangspunkt des Intervalls indem x liegt
% xi....Endpunkt des Intervalls indem x liegt
function res = phii(j, x, xim1,xi) 
  switch (j)
    case 0 % phii faellt monoton für x\in (xim1,xi) 
      res = (xi-x)/(xi-xim1);
    case 1 % phii steigt monoton für x\in (xim1,xi) 
      res = (x-xim1)/(xi-xim1);
  endswitch
end